Bug 745371 - ibus-chewing: mode confusion In Temporary English mode and Chinese mode later on
Summary: ibus-chewing: mode confusion In Temporary English mode and Chinese mode later on
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 713033
TreeView+ depends on / blocked
 
Reported: 2011-10-12 06:55 UTC by Ding-Yi Chen
Modified: 2012-09-17 22:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-03 22:54:07 UTC
Type: ---


Attachments (Terms of Use)

Description Ding-Yi Chen 2011-10-12 06:55:49 UTC
Description of problem:

From Bug 713033, item 3:
Switch to Chewing or type Chewing in a new window.Let say I want to type the
word "我", ㄨ should be shown when I hit the first key, which is "j" on the
keyboard. Instead, "j" is shown directly.To get rid of it, I have to delete "j" and Chewing is back again.Switching between Chewing and English also works.


Version-Release number of selected component (if applicable):
ibus-chewing-1.3.9.2-1.fc14.i686

How reproducible:
Sometimes

Steps to Reproduce:
0. Set ibus language panel as "Always"
1. Open a gedit on synergy client.
2. Switch to temporary English mode,
3. Switch back to Chinese mode
4. Press "j" (ㄨ)
  
Actual results:
"j" is shown

Expected results:
"ㄨ"  should be shown

Additional info:
This bug maybe easier to reproduce with synergy

Comment 1 Fedora Update System 2012-08-24 04:49:38 UTC
ibus-chewing-1.4.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.2-1.fc18

Comment 2 Fedora Update System 2012-08-24 04:50:01 UTC
ibus-chewing-1.4.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.2-1.fc17

Comment 3 Fedora Update System 2012-08-24 04:50:22 UTC
ibus-chewing-1.4.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.2-1.fc16

Comment 4 Fedora Update System 2012-08-24 21:32:40 UTC
Package ibus-chewing-1.4.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-chewing-1.4.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12633/ibus-chewing-1.4.2-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-09-03 22:54:07 UTC
ibus-chewing-1.4.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-09-03 22:56:52 UTC
ibus-chewing-1.4.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-09-17 22:42:35 UTC
ibus-chewing-1.4.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.